# Appendices: Links to Useful Resources

## Appendix A: General Data Repositories
* [Dataverse](http://thedata.org)  A repository for research data that takes care of long term preservation and good archival practices, while researchers can share, keep control of and get recognition for their data.
* [FigShare](http://figshare.com) A repository where users can make all of their research outputs available in a citable, shareable and discoverable manner.
* [Zenodo](http://zenodo.org) A repository service that enables researchers, scientists, projects and institutions to share and showcase multidisciplinary research results (data and publications) that are not part of existing institutional or subject-based repositories.
* [Dryad](http://dryad.org) A repository that aims to make data archiving as simple and as rewarding as possible through a suite of services not necessarily provided by publishers or institutional websites.

## Appendix B: Directories of Research Data Repositories
* [DataBib](http://databib.org). Databib is a tool for helping people identify and locate online repositories of research data. Users and bibliographers create and curate records that describe data repositories that users can search. 
* [re3data.org](http://www.re3data.org/). Re3data is a global registry of research data repositories from different academic disciplines for researchers, funding bodies, publishers and scholarly institutions. 
* [Data repositories, Open Access Directory](http://oad.simmons.edu/oadwiki/Data_repositories) A list of repositories and databases for open data.
* [Force 11 Catalog](http://www.force11.org/catalog) A dynamic inventory of web-based scholarly resources, a collection of alternative publication systems, databases, organizations and groups, software, services, standards, formats, and training tools.


## Appendix C: Workflow Management Systems
* [Taverna](https://taverna.incubator.apache.org/) An open source and domain-independent Workflow Management System – a suite of tools used to design and execute scientific workflows and aid in silico experimentation.
* [Kepler](https://kepler-project.org/) Software designed to help scien­tists, analysts, and computer programmers create, execute, and share models and analyses across a broad range of scientific and engineering disciplines. 
* [Wings](http://www.wings-workflows.org/) A semantic workflow system that assists scientists with the design of computational experiments. 
* [VisTrails](http://www.vistrails.org/index.php/Main_Page) An open-source scientific workflow and provenance management system that supports data exploration and visualization.
* [Knime](http://www.knime.org/) A graphical workbench for the entire analysis process: data access, data transformation, initial investigation, powerful predictive analytics, visualization and reporting.


## Appendix D: Source Code Repositories
* [Github](http://github.com) A web-based hosting service for software development projects that use the Git revision control system, including many open source projects.
* [Git](http://git-scm.com/) A free and open source distributed version control system designed to handle everything from small to very large projects with speed and efficiency.
* [Mercurial](http://mercurial.selenic.com/) A free, distributed source control management tool. It efficiently handles projects of any size and offers an easy and intuitive interface.
* [BitBucket](https://bitbucket.org/) A web-based hosting service for projects that use either the Mercurial or Git revision control systems. 


## Appendix E: Systems to Package, Access, and Execute Data and Code
* [iPython Notebooks](http://ipython.org/notebook.html) A web-based interactive computational environment where you can combine code execution, text, mathematics, plots and rich media into a single document.
* [ROpenSci](http://ropensci.org/) A suite of packages that allow access to data repositories through the R statistical programming environment.
* [Authorea](https://authorea.com) A collaborative online word processor for scholarly papers that allows the writing of web-native, living, dynamic, "executable" articles which include text, mathematical notation, images, and data. It currently support inclusion and rendering of d3.js and iPython notebooks.
* [Dexy](http://dexy.it) A multi-purpose project automation tool for working with documents via a command-line interface.


## Appendix F: Software Tools to Run Your Own Document Repository
* [Invenio](http://invenio-software.org/). Invenio is a ​free software suite enabling you to run your own ​digital library or document repository on the web. Invenio is an ideal solution to run document repositories of moderate to large sizes (several millions of records). Invenio is co-developed by CERN, ​DESY, ​EPFL, ​FNAL, ​and SLAC.
* [Eprints](http://www.eprints.org/software/). EPrints is one of the easiest and fastest way to set up small to medium sized repositories of open access research literature, scientific data, theses, reports and multimedia. Developed at the University of Southampton, UK.
* [DSpace](http://www.dspace.org/). DSpace is a turnkey institutional repository application developed by the Duraspace organization.


## Appendix G: Licensing and Privacy
* [Open Source Initiative, Licenses](http://opensource.org/licenses) Open source licenses are licenses that comply with the Open Source Definition: they allow software to be freely used, modified, and shared. These include Apache, BSD, GNU (GPL), MIT, and Mozilla Public License.
* [Privacy Tools for Sharing Research Data](http://privacytools.seas.harvard.edu) A Harvard-based collaborative and multidisciplinary effort to help enable the collection, analysis, and sharing of personal data for research in social science and other fields while providing privacy for individual subjects.