# Rule 4. Publish workflow as context.
Publishing a description of your processing steps offers essential context for interpreting and re-using data. As-such, scientists typically include a "methods" and/or "analysis" section(s) in a scholarly article, used to describe data collection, manipulation, and analysis processes. Computer and information scientists call the combination of the collection methods and analysis processes for a project its "workflow," and they consider the information used and captured in workflow to be part of the "provenance" of the data.  In some cases (mostly in genomics), scientists can use existing workflow software in _running_ experiments and in _recording_ what was done in those experiments, e.g. [Gene Pattern](www.genepattern.org). In that best-case scenario, the workflow software, its version, and settings used can be published alongside data using the other rules laid out here.  But, it is rare outside of genomics to see the end-to-end process described in a research  paper run, orchestrated,  and/or recorded by a single software package.   In a plausible utopian future, automated workflow documentation could extend to all fields, so that an electronic provenance record could link together all the pieces that led to a result: the data citation (Rule 2), the pointer to the code (Rule 6), the workflow (this Rule), and a scholarly paper (Rule 5). But what can you do now? **At a minimum, provide, alongside any deposit of data, a simple sketch of data flow across software, indicating how intermediate and final data products and results are generated.  If it’s feasible and you are willing to deal with a higher level of complexity, also consider using an online service to encapsulate your workflow (see the Appendix C for a list of services)**. Keep in mind that even if the data used are not "new," in that they come from a well-documented archive, it is still important to document the archive query that produced the data you used, along with all the operations you performed on the data after they were retrieved. Keeping better track of workflow, as context, will likely benefit you and your collaborators enough to justify the loftier, more altruistic, goals espoused here.